Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.template
Interface TemplateCachingHints

All Known Implementing Classes:
  SimpleTemplateCachingHints

    public interface TemplateCachingHints

`TemplateCachingHints` is used to indicate to the templating rendering mechanism whether the compiled template data should be cached and for how long.

Method Summary
`long` | `getAccessTimeout()` If the cached template data is not accessed in this time (in milliseconds) then it can be expired from the cache.
`long` | `getLastModified()` Returns the time the content of this `TemplateDataSource` was last modified.
`long` | `getTimeToLive()` The cached template data can reside in the cache for this many milliseconds, after which it can expire.

Method Detail

### getAccessTimeout

    long getAccessTimeout()

  If the cached template data is not accessed in this time (in milliseconds) then it can be expired from the cache.

  Returns:
    the time after which any cached entry will expire if it not accessed, in milliseconds.

### getLastModified

    long getLastModified()

  Returns the time the content of this `TemplateDataSource` was last modified.

  The return value is used to decide whether to reparse a Source or not. Reparsing is done if the value returned here differs from the value returned at the last processing time. This may not return a 'real' time, it needs just to be comparable to itself; so some sort of version counter would be perfect as well.

  Returns:
    long a modification time or counter

### getTimeToLive

    long getTimeToLive()

  The cached template data can reside in the cache for this many milliseconds, after which it can expire.

  Returns:
    the time this template data can reside in the cache in milliseconds.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD